## python-openstacksdk 0.27.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.12 # MIT
appdirs>=1.3.0 # MIT License
requestsexceptions>=1.2.0 # Apache-2.0
jsonpatch!=1.20,>=1.16 # BSD
six>=1.10.0 # MIT
os-service-types>=1.2.0 # Apache-2.0
keystoneauth1>=3.13.0 # Apache-2.0

munch>=2.1.0 # MIT
decorator>=3.4.0 # BSD
jmespath>=0.9.0 # MIT
ipaddress>=1.0.17;python_version<'3.3' # PSF
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
iso8601>=0.1.11 # MIT
netifaces>=0.10.4 # MIT

dogpile.cache>=0.6.2 # BSD
cryptography>=2.1 # BSD/Apache-2.0

=== debian/changelog ===
python-openstacksdk (0.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed version of keystoneauth1.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Jun 2019 14:32:29 +0200

python-openstacksdk (0.26.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-prefixlen-creating-subnet.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 22:52:20 +0100

python-openstacksdk (0.17.2-3) unstable; urgency=medium

  * Add fix-prefixlen-creating-subnet.patch (Closes: #924376).
  * d/copyright: Add me to copyright
  * d/control: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 14 Mar 2019 18:54:10 +0100

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 git,
 python3-coverage,
 python3-appdirs,
 python3-bs4 <!nodoc>,
 python3-cryptography,
 python3-decorator,
 python3-deprecation,
 python3-docutils <!nodoc>,
 python3-dogpile.cache,
 python3-extras,
 python3-fixtures,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1 (>= 3.13.0),
 python3-mock,
 python3-munch,
 python3-netifaces,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslotest,
 python3-requests-mock,
 python3-requestsexceptions,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
Homepage: https://github.com/stackforge/python-openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-appdirs,
 python3-cryptography,
 python3-decorator,
 python3-deprecation,
 python3-dogpile.cache,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-keystoneauth1 (>= 3.13.0),
 python3-munch,
 python3-netifaces,
 python3-os-service-types,
 python3-pbr,
 python3-requestsexceptions,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Unit testing is taking forever and produces a 100MB+ log, so it's disabled..."
	#pkgos-dh_auto_test --no-py2 'openstack.tests.unit(?!(.*cloud.*|.*test_resource\.TestWaitForStatus.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-openstacksdk 0.35.0

=== debian/changelog ===
python-openstacksdk (0.35.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:33:54 +0200

python-openstacksdk (0.35.0-2) experimental; urgency=medium

  * Re-enable testing at build time, and add some autopkgtest, thanks to
    Corey Bryant (Closes: #930086).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2019 17:30:55 +0200

python-openstacksdk (0.35.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:49:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -15,12 +15,13 @@
  python3-sphinx <!nodoc>,
 Build-Depends-Indep:
  git,
- python3-coverage,
  python3-appdirs,
  python3-bs4 <!nodoc>,
+ python3-coverage,
  python3-cryptography,
  python3-decorator,
  python3-deprecation,
+ python3-doc8,
  python3-docutils <!nodoc>,
  python3-dogpile.cache,
  python3-extras,
@@ -29,25 +30,30 @@
  python3-jmespath,
  python3-jsonpatch,
  python3-jsonschema,
- python3-keystoneauth1 (>= 3.13.0),
+ python3-keystoneauth1 (>= 3.16.0),
  python3-mock,
  python3-munch,
  python3-netifaces,
  python3-openstackdocstheme <!nodoc>,
- python3-os-service-types,
+ python3-os-service-types (>= 1.7.0),
+ python3-oslo.config,
  python3-oslotest,
+ python3-prometheus-client,
+ python3-pygments,
  python3-requests-mock,
  python3-requestsexceptions,
  python3-six,
+ python3-statsd (>= 3.3.0),
  python3-stestr,
  python3-subunit,
  python3-testscenarios,
  python3-testtools,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
 Homepage: https://github.com/stackforge/python-openstacksdk
+Testsuite: autopkgtest-pkg-python
 
 Package: python-openstacksdk-doc
 Build-Profiles: <!nodoc>
@@ -79,10 +85,10 @@
  python3-iso8601,
  python3-jmespath,
  python3-jsonpatch,
- python3-keystoneauth1 (>= 3.13.0),
+ python3-keystoneauth1 (>= 3.16.0),
  python3-munch,
  python3-netifaces,
- python3-os-service-types,
+ python3-os-service-types (>= 1.7.0),
  python3-pbr,
  python3-requestsexceptions,
  python3-six,

## python-openstacksdk 0.36.0

=== requirements.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 requestsexceptions>=1.2.0 # Apache-2.0
 jsonpatch!=1.20,>=1.16 # BSD
 six>=1.10.0 # MIT
-os-service-types>=1.2.0 # Apache-2.0
-keystoneauth1>=3.13.0 # Apache-2.0
+os-service-types>=1.7.0 # Apache-2.0
+keystoneauth1>=3.16.0 # Apache-2.0
 
 munch>=2.1.0 # MIT
 decorator>=3.4.0 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
openstackdocstheme>=1.18.1 # Apache-2.0
beautifulsoup4>=4.6.0 # MIT
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-openstacksdk (0.36.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 00:52:03 +0000

python-openstacksdk (0.36.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:18:42 -0400

python-openstacksdk (0.31.1-0ubuntu2) eoan; urgency=medium

  * d/control: Disable autopkgtest-pkg-python testsuite as it does
    not load the right module name.
  * d/tests: Provide simple test suite to ensure loadable module.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Sep 2019 13:56:43 +0200

python-openstacksdk (0.31.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:33:55 -0400

python-openstacksdk (0.29.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/watch: Get tarball from pypi.debian.net.
    - d/p/install-missing-files.patch: Dropped. Not needed with pristine-tar.
    - d/gbp.conf: Retained for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Run tests with OS_LOG_CAPTURE=true.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jun 2019 15:13:58 -0400

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2) <!nodoc>,
Build-Depends-Indep:
 git,
 python3-coverage (>= 4.0),
 python3-appdirs (>= 1.3.0),
 python3-bs4 (>= 4.6.0) <!nodoc>,
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-deprecation,
 python3-doc8 (>= 0.8.0),
 python3-docutils (>= 0.11) <!nodoc>,
 python3-dogpile.cache (>= 0.6.2),
 python3-extras (>= 1.0.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.0),
 python3-iso8601 (>= 0.1.11),
 python3-jmespath (>= 0.9.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.16.0),
 python3-mock (>= 2.0.0),
 python3-munch (>= 2.1.0),
 python3-netifaces (>= 0.10.4),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-os-service-types (>= 1.7.0),
 python3-oslo.config (>= 1:6.1.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prometheus-client (>= 0.4.2),
 python3-pygments (>= 2.2.0),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-requestsexceptions (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-statsd (>= 3.3),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.12),
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstacksdk
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstacksdk
Homepage: https://github.com/stackforge/python-openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-appdirs (>= 1.3.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-deprecation,
 python3-dogpile.cache (>= 0.6.2),
 python3-iso8601 (>= 0.1.11),
 python3-jmespath (>= 0.9.0),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.16.0),
 python3-munch (>= 2.1.0),
 python3-netifaces (>= 0.10.4),
 python3-os-service-types (>= 1.7.0),
 python3-pbr (>= 2.0.0),
 python3-requestsexceptions (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-statsd (>= 3.3),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "Unit testing is taking forever and produces a 100MB+ log, so it's disabled..."
-	#pkgos-dh_auto_test --no-py2 'openstack.tests.unit(?!(.*cloud.*|.*test_resource\.TestWaitForStatus.*))'
+	OS_LOG_CAPTURE=true pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:

## python-openstacksdk 0.39.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 jsonpatch!=1.20,>=1.16 # BSD
 six>=1.10.0 # MIT
 os-service-types>=1.7.0 # Apache-2.0
-keystoneauth1>=3.16.0 # Apache-2.0
+keystoneauth1>=3.18.0 # Apache-2.0
 
 munch>=2.1.0 # MIT
 decorator>=3.4.0 # BSD
@@ -18,5 +18,5 @@
 iso8601>=0.1.11 # MIT
 netifaces>=0.10.4 # MIT
 
-dogpile.cache>=0.6.2 # BSD
+dogpile.cache>=0.6.5 # BSD
 cryptography>=2.1 # BSD/Apache-2.0

=== debian/changelog ===
python-openstacksdk (0.39.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 28 Jan 2020 17:00:13 +0100

python-openstacksdk (0.38.0-0ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/p/install-missing-files.patch: Dropped. Not needed with pristine-tar.
    - d/t/*: Add autopkgtests.
    - d/watch: Get tarball from pypi.debian.net.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 13:57:36 -0500

=== debian/control ===
--- 
+++ 
@@ -7,54 +7,53 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2) <!nodoc>,
+ python3-sphinx (>= 1.8.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 Build-Depends-Indep:
  git,
+ python3-appdirs (>= 1.3.0),
+ python3-bs4 <!nodoc>,
  python3-coverage (>= 4.0),
- python3-appdirs (>= 1.3.0),
- python3-bs4 (>= 4.6.0) <!nodoc>,
  python3-cryptography (>= 2.1),
+ python3-ddt (>= 1.0.1),
  python3-decorator (>= 3.4.0),
  python3-deprecation,
  python3-doc8 (>= 0.8.0),
- python3-docutils (>= 0.11) <!nodoc>,
- python3-dogpile.cache (>= 0.6.2),
+ python3-docutils <!nodoc>,
+ python3-dogpile.cache (>= 0.6.5),
  python3-extras (>= 1.0.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.0),
  python3-iso8601 (>= 0.1.11),
  python3-jmespath (>= 0.9.0),
  python3-jsonpatch (>= 1.16),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.16.0),
+ python3-keystoneauth1 (>= 3.18.0),
  python3-mock (>= 2.0.0),
  python3-munch (>= 2.1.0),
  python3-netifaces (>= 0.10.4),
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-openstackdocstheme <!nodoc>,
  python3-os-service-types (>= 1.7.0),
  python3-oslo.config (>= 1:6.1.0),
  python3-oslotest (>= 1:3.2.0),
  python3-prometheus-client (>= 0.4.2),
  python3-pygments (>= 2.2.0),
- python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),
  python3-requestsexceptions (>= 1.2.0),
  python3-six (>= 1.10.0),
- python3-statsd (>= 3.3),
+ python3-statsd (>= 3.3.0),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
- python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstacksdk
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstacksdk
 Homepage: https://github.com/stackforge/python-openstacksdk
@@ -85,18 +84,17 @@
  python3-cryptography (>= 2.1),
  python3-decorator (>= 3.4.0),
  python3-deprecation,
- python3-dogpile.cache (>= 0.6.2),
+ python3-dogpile.cache (>= 0.6.5),
  python3-iso8601 (>= 0.1.11),
  python3-jmespath (>= 0.9.0),
  python3-jsonpatch (>= 1.16),
- python3-keystoneauth1 (>= 3.16.0),
+ python3-keystoneauth1 (>= 3.18.0),
  python3-munch (>= 2.1.0),
  python3-netifaces (>= 0.10.4),
  python3-os-service-types (>= 1.7.0),
  python3-pbr (>= 2.0.0),
  python3-requestsexceptions (>= 1.2.0),
  python3-six (>= 1.10.0),
- python3-statsd (>= 3.3),
  python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},

## python-openstacksdk 0.41.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 keystoneauth1>=3.18.0 # Apache-2.0
 
 munch>=2.1.0 # MIT
-decorator>=3.4.0 # BSD
+decorator>=4.4.1 # BSD
 jmespath>=0.9.0 # MIT
 ipaddress>=1.0.17;python_version<'3.3' # PSF
 futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
openstackdocstheme>=1.20.0 # Apache-2.0
beautifulsoup4>=4.6.0 # MIT
reno>=2.5.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-openstacksdk (0.41.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 10:10:42 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-coverage (>= 4.0),
  python3-cryptography (>= 2.1),
  python3-ddt (>= 1.0.1),
- python3-decorator (>= 3.4.0),
+ python3-decorator (>= 4.4.1),
  python3-deprecation,
  python3-doc8 (>= 0.8.0),
  python3-docutils <!nodoc>,
@@ -34,7 +34,6 @@
  python3-jsonpatch (>= 1.16),
  python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.18.0),
- python3-mock (>= 2.0.0),
  python3-munch (>= 2.1.0),
  python3-netifaces (>= 0.10.4),
  python3-openstackdocstheme <!nodoc>,
@@ -82,7 +81,7 @@
 Depends:
  python3-appdirs (>= 1.3.0),
  python3-cryptography (>= 2.1),
- python3-decorator (>= 3.4.0),
+ python3-decorator (>= 4.4.1),
  python3-deprecation,
  python3-dogpile.cache (>= 0.6.5),
  python3-iso8601 (>= 0.1.11),

## python-openstacksdk 0.46.0

=== requirements.txt ===
--- 
+++ 
@@ -13,8 +13,6 @@
 munch>=2.1.0 # MIT
 decorator>=4.4.1 # BSD
 jmespath>=0.9.0 # MIT
-ipaddress>=1.0.17;python_version<'3.3' # PSF
-futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
 iso8601>=0.1.11 # MIT
 netifaces>=0.10.4 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=1.8.0,!=2.1.0 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
openstackdocstheme>=1.20.0 # Apache-2.0
beautifulsoup4>=4.6.0 # MIT
reno>=2.5.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-openstacksdk (0.46.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/reduce-logging.patch: Dropped. Fixed in new upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:26:24 -0400

python-openstacksdk (0.45.0-0ubuntu2) focal; urgency=medium

  * Resolve issues with memory exhaustion during test execution:
    - d/rules: Turn off test log capture to reduce memory pressure which
      causes test failures on builders due to excessive logging and
      buffering to RAM.
    - d/p/reduce-logging.patch: Pick fix to reduce log level from DEBUG
      -> INFO to avoid memory exhaustion.

 -- James Page <james.page@ubuntu.com>  Tue, 31 Mar 2020 11:11:54 +0100

python-openstacksdk (0.45.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/rules: Increase OS_TEST_TIMEOUT inline with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2020 16:53:34 +0100

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  python3-dogpile.cache (>= 0.6.5),
  python3-extras (>= 1.0.0),
  python3-fixtures (>= 3.0.0),
+ python3-hacking,
  python3-iso8601 (>= 0.1.11),
  python3-jmespath (>= 0.9.0),
  python3-jsonpatch (>= 1.16),

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	OS_LOG_CAPTURE=true pkgos-dh_auto_test --no-py2
+	OS_TEST_TIMEOUT=300 OS_LOG_CAPTURE=false OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:

=== debian/tests/control ===
Tests: python-import
Depends: @, @builddeps@
Restrictions: allow-stderr

## python-openstacksdk 0.50.0

=== requirements.txt ===
--- 
+++ 
@@ -2,11 +2,10 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 appdirs>=1.3.0 # MIT License
 requestsexceptions>=1.2.0 # Apache-2.0
 jsonpatch!=1.20,>=1.16 # BSD
-six>=1.10.0 # MIT
 os-service-types>=1.7.0 # Apache-2.0
 keystoneauth1>=3.18.0 # Apache-2.0
 
@@ -17,4 +16,6 @@
 netifaces>=0.10.4 # MIT
 
 dogpile.cache>=0.6.5 # BSD
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=2.7 # BSD/Apache-2.0
+
+importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-openstacksdk (0.50.0-6) unstable; urgency=medium

  * Added Restrictions: superficial to d/tests/control (Closes: #974516).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2020 00:01:41 +0100

python-openstacksdk (0.50.0-5) unstable; urgency=medium

  * Fix again the autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 13:43:54 +0200

python-openstacksdk (0.50.0-4) unstable; urgency=medium

  * Fix the autopkgtest to import openstack, not openstacksdk.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 13:14:53 +0200

python-openstacksdk (0.50.0-3) unstable; urgency=medium

  * Fix autopkgtest to work with all supported Python 3 versions.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 12:11:06 +0200

python-openstacksdk (0.50.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.
  * Blacklist test_update_security_group_bad_kwarg() and
    test_create_port_parameters() which are time based tests that aren't
    deterministic.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 10:57:04 +0200

python-openstacksdk (0.50.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 21:43:01 +0200

python-openstacksdk (0.49.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 11:51:51 +0200

python-openstacksdk (0.48.0-1) experimental; urgency=medium

  * Fixed Homepage field.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist test__load_yaml_json_file_without_perm() that fails.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 15:51:25 +0200

python-openstacksdk (0.46.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 16:14:03 +0200

python-openstacksdk (0.46.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Run unit tests using debian/tmp folder.
  * Blacklist failing using test related to baremetal:
    - TestWaitForNodesProvisionState.test_timeout_and_failures_not_fail().

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:13:03 +0200

python-openstacksdk (0.36.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 12:43:03 +0100

python-openstacksdk (0.35.0-4) unstable; urgency=medium

  * Removed Testsuite: autopkgtest-pkg-python as it's trying to import
    "openstacksdk" instead of "openstack". Replaced it with custom tests doing
    the same thing, but in the correct way.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Mar 2020 23:59:21 +0100

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 git,
 python3-appdirs,
 python3-bs4 <!nodoc>,
 python3-coverage,
 python3-cryptography (>= 2.7),
 python3-ddt,
 python3-decorator (>= 4.4.1),
 python3-deprecation,
 python3-doc8,
 python3-docutils <!nodoc>,
 python3-dogpile.cache (>= 0.6.5),
 python3-fixtures,
 python3-hacking,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-munch,
 python3-netifaces,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types (>= 1.7.0),
 python3-oslo.config,
 python3-oslotest,
 python3-prometheus-client,
 python3-pygments,
 python3-requests-mock,
 python3-requestsexceptions,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-statsd (>= 3.3.0),
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
Homepage: https://opendev.org/openstack/openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-appdirs,
 python3-cryptography (>= 2.7),
 python3-decorator (>= 4.4.1),
 python3-deprecation,
 python3-dogpile.cache (>= 0.6.5),
 python3-importlib-metadata,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-keystoneauth1 (>= 3.18.0),
 python3-munch,
 python3-netifaces,
 python3-os-service-types (>= 1.7.0),
 python3-pbr,
 python3-requestsexceptions,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,14 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
+	pkgos-dh_auto_install --no-py2 --in-tmp
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	OS_LOG_CAPTURE=true pkgos-dh_auto_test --no-py2 'openstack\.tests\.unit\.(?!(.*baremetal\.v1\.test_proxy\.TestWaitForNodesProvisionState\.test_timeout_and_failures_not_fail.*|.*config\.test_loader\.TestLoader\.test__load_yaml_json_file_without_perm.*|.*cloud.test_security_groups\.TestSecurityGroups\.test_update_security_group_bad_kwarg.*|.*cloud\.test_port\.TestPort\.test_create_port_parameters.*))'
+
+endif
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	OS_TEST_TIMEOUT=300 OS_LOG_CAPTURE=false OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true pkgos-dh_auto_test --no-py2
-endif
+	echo "Do nothing..."
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Restrictions: superficial
Depends:
 python3-all,
 python3-openstacksdk,
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import openstack; print(openstack)" ; done

## python-openstacksdk 0.55.0

=== debian/changelog ===
python-openstacksdk (0.55.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Apr 2021 16:07:54 +0000

python-openstacksdk (0.55.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 26 Mar 2021 13:07:24 +0000

python-openstacksdk (0.52.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Align Depends with upstream.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 12:20:59 +0000

python-openstacksdk (0.50.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 07:17:44 +0000

python-openstacksdk (0.49.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:56:11 -0400

python-openstacksdk (0.48.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 12:48:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-openstacksdk
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -10,50 +11,52 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx (>= 2.0.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 Build-Depends-Indep:
  git,
- python3-appdirs,
+ python3-appdirs (>= 1.3.0),
  python3-bs4 <!nodoc>,
- python3-coverage,
+ python3-coverage (>= 4.0),
  python3-cryptography (>= 2.7),
- python3-ddt,
+ python3-ddt (>= 1.0.1),
  python3-decorator (>= 4.4.1),
  python3-deprecation,
- python3-doc8,
+ python3-doc8 (>= 0.8.0),
  python3-docutils <!nodoc>,
  python3-dogpile.cache (>= 0.6.5),
- python3-fixtures,
+ python3-extras (>= 1.0.0),
+ python3-fixtures (>= 3.0.0),
  python3-hacking,
- python3-importlib-metadata,
- python3-iso8601,
- python3-jmespath,
- python3-jsonpatch,
+ python3-iso8601 (>= 0.1.11),
+ python3-jmespath (>= 0.9.0),
+ python3-jsonpatch (>= 1.16),
  python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.18.0),
- python3-munch,
- python3-netifaces,
+ python3-munch (>= 2.1.0),
+ python3-netifaces (>= 0.10.4),
  python3-openstackdocstheme <!nodoc>,
  python3-os-service-types (>= 1.7.0),
- python3-oslo.config,
- python3-oslotest,
- python3-prometheus-client,
- python3-pygments,
- python3-requests-mock,
- python3-requestsexceptions,
- python3-sphinxcontrib.svg2pdfconverter,
+ python3-oslo.config (>= 1:6.1.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-prometheus-client (>= 0.4.2),
+ python3-pygments (>= 2.2.0),
+ python3-requests-mock (>= 1.2.0),
+ python3-requestsexceptions (>= 1.2.0),
+ python3-six (>= 1.10.0),
  python3-statsd (>= 3.3.0),
- python3-stestr,
- python3-subunit,
- python3-testscenarios,
- python3-testtools,
+ python3-stestr (>= 1.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.13),
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
-Homepage: https://opendev.org/openstack/openstacksdk
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstacksdk
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstacksdk
+Homepage: https://github.com/stackforge/python-openstacksdk
 
 Package: python-openstacksdk-doc
 Build-Profiles: <!nodoc>
@@ -77,21 +80,22 @@
 Package: python3-openstacksdk
 Architecture: all
 Depends:
- python3-appdirs,
+ python3-appdirs (>= 1.3.0),
  python3-cryptography (>= 2.7),
  python3-decorator (>= 4.4.1),
  python3-deprecation,
  python3-dogpile.cache (>= 0.6.5),
- python3-importlib-metadata,
- python3-iso8601,
- python3-jmespath,
- python3-jsonpatch,
+ python3-iso8601 (>= 0.1.11),
+ python3-jmespath (>= 0.9.0),
+ python3-jsonpatch (>= 1.16),
  python3-keystoneauth1 (>= 3.18.0),
- python3-munch,
- python3-netifaces,
+ python3-munch (>= 2.1.0),
+ python3-netifaces (>= 0.10.4),
  python3-os-service-types (>= 1.7.0),
- python3-pbr,
- python3-requestsexceptions,
+ python3-pbr (>= 2.0.0),
+ python3-requestsexceptions (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-openstacksdk 0.59.0

=== debian/changelog ===
python-openstacksdk (0.59.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 18:44:27 +0000

python-openstacksdk (0.59.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:06:52 -0400

python-openstacksdk (0.57.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Jun 2021 07:39:06 +0000

## python-openstacksdk 0.61.0

=== debian/changelog ===
python-openstacksdk (0.61.0-0ubuntu2) jammy; urgency=medium

  * d/p/lp2020139.patch: Bump the chunk_size to
    use CPU more efficiently (LP: #2020139).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Thu, 22 May 2025 13:25:18 +0000

python-openstacksdk (0.61.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:19:00 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-openstacksdk 0.62.0

=== debian/changelog ===
python-openstacksdk (0.62.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:40:30 +0000

python-openstacksdk (0.61.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 12:16:24 +0100

python-openstacksdk (0.61.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Remove_misspelled_speccing_arguments.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 17:24:20 +0100

python-openstacksdk (0.59.0-3) unstable; urgency=medium

  * Add Remove_misspelled_speccing_arguments.patch (Closes: #1002448).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 14:41:23 +0100

python-openstacksdk (0.59.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:45:04 +0200

python-openstacksdk (0.59.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 08:59:27 +0200

python-openstacksdk (0.58.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-pygments from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:52:01 +0200

python-openstacksdk (0.55.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:37:04 +0200

python-openstacksdk (0.55.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Mar 2021 15:14:42 +0100

## python-openstacksdk 0.101.0

=== debian/changelog ===
python-openstacksdk (0.101.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 11:19:29 +0200

python-openstacksdk (0.101.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Blacklist test_stats.TestStats.test_servers_error.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2022 09:48:19 +0200

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 git,
 python3-appdirs,
 python3-bs4 <!nodoc>,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-decorator,
 python3-deprecation,
 python3-doc8,
 python3-docutils <!nodoc>,
 python3-dogpile.cache,
 python3-fixtures,
 python3-hacking,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-munch,
 python3-netifaces,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslo.config,
 python3-oslotest,
 python3-prometheus-client,
 python3-requests-mock,
 python3-requestsexceptions,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-statsd,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
Homepage: https://opendev.org/openstack/openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-appdirs,
 python3-cryptography,
 python3-decorator,
 python3-deprecation,
 python3-dogpile.cache,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-munch,
 python3-netifaces,
 python3-os-service-types,
 python3-pbr,
 python3-requestsexceptions,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	OS_LOG_CAPTURE=true pkgos-dh_auto_test --no-py2 'openstack\.tests\.unit\.(?!(.*baremetal\.v1\.test_proxy\.TestWaitForNodesProvisionState\.test_timeout_and_failures_not_fail.*|.*config\.test_loader\.TestLoader\.test__load_yaml_json_file_without_perm.*|.*cloud.test_security_groups\.TestSecurityGroups\.test_update_security_group_bad_kwarg.*|.*cloud\.test_port\.TestPort\.test_create_port_parameters.*))'
-
+	OS_LOG_CAPTURE=true pkgos-dh_auto_test --no-py2 'openstack\.tests\.unit\.(?!(.*baremetal\.v1\.test_proxy\.TestWaitForNodesProvisionState\.test_timeout_and_failures_not_fail.*|.*config\.test_loader\.TestLoader\.test__load_yaml_json_file_without_perm.*|.*cloud.test_security_groups\.TestSecurityGroups\.test_update_security_group_bad_kwarg.*|.*cloud\.test_port\.TestPort\.test_create_port_parameters.*|.*test_stats\.TestStats\.test_servers_error.*))'
 endif
 
 override_dh_auto_test:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-openstacksdk/tags .*/(\d[\d\.]+)\.tar\.gz
